package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.OmsOrderPay;
import com.hwrj.cloud.portal.model.OmsOrderPayExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OmsOrderPayMapper {
    long countByExample(OmsOrderPayExample example);

    int deleteByExample(OmsOrderPayExample example);

    int deleteByPrimaryKey(String id);

    int insert(OmsOrderPay record);

    int insertSelective(OmsOrderPay record);

    List<OmsOrderPay> selectByExample(OmsOrderPayExample example);

    OmsOrderPay selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") OmsOrderPay record, @Param("example") OmsOrderPayExample example);

    int updateByExample(@Param("record") OmsOrderPay record, @Param("example") OmsOrderPayExample example);

    int updateByPrimaryKeySelective(OmsOrderPay record);

    int updateByPrimaryKey(OmsOrderPay record);
}